#
# Conditional build
%bcond_without	gnome_keyring	# without gnome-keyring
#
Summary:	File transfer client supporting the FTP, FTP (FTPS) and SSH (SFTP)
Summary(pl.UTF-8):	Program do transferu plkików używający FTP, FTP (FTPS) oraz SSH (SFTP)
Name:		bareftp
Version:	0.3.9
Release:	1
License:	GPL v2+
Group:		Applications/Networking
Source0:	http://www.bareftp.org/release/%{name}-%{version}.tar.gz
# Source0-md5:	cd41a4ed4082f60875a1720cfc1e4db2
URL:		http://www.bareftp.org/
%{?with_gnome_keyring:BuildRequires:	dotnet-gnome-keyring-sharp-devel}
BuildRequires:	dotnet-gnome-sharp-devel
BuildRequires:	dotnet-gtk-sharp2-devel
BuildRequires:	gettext-devel
BuildRequires:	intltool >= 0.35
BuildRequires:	mono-csharp
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.32
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
bareFTP is a file transfer client writen in C# supporting the FTP, FTP
over SSL/TLS (FTPS) and SSH File Transfer Protocol (SFTP).

%description -l pl.UTF-8
bareFTP jest programem do transferu plików napisanym w C# wspierającym
protokoły FTP, FTP z obsługą SSL/TLS (FTPS) oraz SSH (SFTP).

%prep
%setup -q

%build
%configure \
	%{!?with_gnome_keyring:--without-gnomekeyring}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS CREDITS ChangeLog README
%attr(755,root,root) %{_bindir}/bareftp
%dir %{_libdir}/bareftp
%{_libdir}/bareftp/bareFTP*.dll
%{_libdir}/bareftp/bareftp.exe
%{_mandir}/man1/bareftp.1*
%{_iconsdir}/hicolor/*/apps/*
%{_desktopdir}/bareftp.desktop
%changelog
* Sun Jun 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/bareftp.git;a=log;h=auto/th/bareftp-0_3_9-1

* Mon Sep 26 2011 lisu <lisu@pld-linux.org> 0a7fa45
- updated to 0.3.9

* Wed Apr 06 2011 lisu <lisu@pld-linux.org> 13e68f5
- up to 0.3.8
- BR: mono-csharp

* Thu Nov 18 2010 lisu <lisu@pld-linux.org> 2729050
- 0.3.7

* Mon Oct 18 2010 lisu <lisu@pld-linux.org> 8d6c837
- 0.3.6

* Mon Oct 11 2010 lisu <lisu@pld-linux.org> 91ee98a
- up to 0.3.5
- pl desc fix

* Sat May 08 2010 lisu <lisu@pld-linux.org> dff5b11
- rel 1

* Sat May 08 2010 lisu <lisu@pld-linux.org> 2e6bda3
- desc and summary

* Sat May 08 2010 lisu <lisu@pld-linux.org> c0fc517
- updated to 0.3.4 (fixed problems with gnome-keyring)
- BRs: gettext-devel, intltool >= 0.35, pkgconfig

* Thu May 06 2010 lisu <lisu@pld-linux.org> 9c24026
- rpmbuild(macros) >= 1.32 for %%find_lang

* Wed May 05 2010 lisu <lisu@pld-linux.org> 36cd194
- added to PLD
- nfy

